trinity-devel@lists.pearsoncomputing.net

Message: previous - next
Month: December 2012

Re: [trinity-devel] Trying to fix bug #1170 (Kima FTBFS)

From: "Darrell Anderson" <darrella@...>
Date: Tue, 04 Dec 2012 15:10:23 -0600
>As Slávek said this package is still built with the autotools.
>However when I run the configure script it runs through the script
>until it stops when it tries to find tde-config.  If I change it to
>kde-config (in the configure script which I know should not be 
needed)
>it tells me that it cannot find the qt-mt library.

Starting with R14, kde-config is renamed to tde-config. All 
previous Trinity releases still use kde-config. The trick then is 
to ensure your build environment is correct. If you are building 
3.5.13.x then you use the 3.5.13.x tarballs. If you are building 
R14, then use the GIT tree as sources rather than tarballs.

R14 is expected to be built against TQt3, which will install a tqt-
mt pkgconfig file. If you build with Qt3, as is the case prior to 
R14, then a qt-mt pkgconfig file is installed.

If you are running 3.5.13.x as your production environment, you can 
still build R14. Use a second computer, use a virtual machine, use 
a chroot environment, reboot to a different partition set, etc.

Slavek and Francois build and support both environments. They would 
be the best people to ask for advice how they manage both 
environments.

Darrell